List available time slots
List all available time slots for a service in a specific time range.
Authorization
authorization In: header
Path Parameters
Service ID
Query Parameters
Start of time range (ISO date format). Defaults to today in time_zone when supplied, otherwise today in UTC.
dateEnd of time range (ISO date format). Either until or limit must be provided.
dateMaximum number of aggregated slots to return. Either limit or until must be provided.
1 <= valueIANA time zone for the slots. Slot times are formatted in this zone (Etc/UTC when omitted). When supplied, from and until are interpreted as calendar dates in this zone; when omitted, they are interpreted in the service's time zone.
"Etc/UTC"Filter slots by provider IDs (comma-separated)
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/services/srv_123456789012/slots?from=%222025-04-01%22&until=%222025-04-07%22&limit=5&time_zone=%22America%2FNew_York%22&provider_ids=prv_123456789012%2Cprv_234567890123"{ "data": { "aggregated_slots": [ { "count": 1, "end_at": "2025-03-10T10:00:00Z", "end_at_ts": 1736464800, "object": "aggregated_slot", "start_at": "2025-03-10T09:00:00Z", "start_at_ts": 1736461200, "time_zone": "Etc/UTC" }, { "count": 1, "end_at": "2025-03-10T12:00:00Z", "end_at_ts": 1736468400, "object": "aggregated_slot", "start_at": "2025-03-10T11:00:00Z", "start_at_ts": 1736464800, "time_zone": "Etc/UTC" } ], "provider_slots": [ { "open": [ { "end_at": "2025-03-10T10:00:00Z", "end_at_ts": 1736464800, "object": "slot", "start_at": "2025-03-10T09:00:00Z", "start_at_ts": 1736461200, "time_zone": "Etc/UTC" }, { "end_at": "2025-03-10T12:00:00Z", "end_at_ts": 1736468400, "object": "slot", "start_at": "2025-03-10T11:00:00Z", "start_at_ts": 1736464800, "time_zone": "Etc/UTC" } ], "service_provider": { "created_at": "2025-02-19T17:36:36Z", "id": "sp_d025a96ac0c6", "object": "service_provider", "provider": { "created_at": "2017-09-12T12:34:55Z", "display_name": "John Smith", "email": "john@example.com", "first_name": "John", "id": "prov_d025a96ac0c6", "last_name": "Smith", "metadata": { "external_id": "123" }, "object": "provider", "time_zone": "America/New_York", "updated_at": "2017-09-13T10:11:12Z" }, "service_id": "srv_d025a96ac0c6", "updated_at": "2025-02-19T17:36:36Z" } } ] }}List available slots for a booking intent GET
Returns time slots available for this booking intent's configuration. The slot pattern is driven by the intent's primary service provider (or all service providers if no primary is set), filtered by the availability of any configured secondary providers.
Account
This is an object representing an account in the app.